cURL
curl --request PATCH \
--url https://api.teamfollowup.ai/api/agent-builder/agents/{id}/outcome-prompts/{outcome} \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"prompt": "Whether the lead explicitly asked not to be contacted again."
}'import requests
url = "https://api.teamfollowup.ai/api/agent-builder/agents/{id}/outcome-prompts/{outcome}"
payload = { "prompt": "Whether the lead explicitly asked not to be contacted again." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: 'Whether the lead explicitly asked not to be contacted again.'})
};
fetch('https://api.teamfollowup.ai/api/agent-builder/agents/{id}/outcome-prompts/{outcome}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"name": "opt_out",
"description": "Whether the lead explicitly asked not to be contacted again.",
"prompt": "Whether the lead explicitly asked not to be contacted again.",
"updated": true,
"outcomePrompt": {
"id": "opt_out",
"outcome": "opt_out",
"label": "Opt out",
"current": "Whether the lead explicitly asked not to be contacted again.",
"prompt": "Whether the lead explicitly asked not to be contacted again.",
"default": "Whether the lead explicitly asked not to be contacted again."
}
}Update outcome prompt
Set one editable outcome prompt.
Required API key scope: campaigns:write.
PATCH
/
api
/
agent-builder
/
agents
/
{id}
/
outcome-prompts
/
{outcome}
cURL
Authorizations
Send your API key as Authorization: Bearer YOUR_API_KEY.
Path Parameters
Agent id.
Minimum string length:
1Outcome prompt key.
Available options:
opt_out, callback, human_needed, asked_for_info Body
application/json
⌘I
